Delete network by code - Fabric
Delete network by code
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/inventory-networks/{networkCode} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/inventory-networks/{networkCode}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/inventory-networks/{networkCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
200- OK400- Bad Request401- Unauthorized404- Not Found500- Internal Server Error
Success Response Example
{
"code": "DC",
"name": "Distribution Center",
"rule": {
"locationData.attributes.safetyStock": 10,
"locationData.isActive": true,
"locationData.type": "Store",
"productData.attributes.brand": "ABC",
"productData.attributes.isSoldOnline": true
},
"createdAt": "2022-08-01T18:03:28.483Z",
"description": "network-mar6th",
"lowStock": 10,
"networkId": "5349b4ddd2781d08c09890f4",
"safetyStock": 10,
"updatedAt": "2022-08-01T18:03:28.483Z"
}
Error Responses
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
{
"message": "Network code not found",
"type": "CLIENT_ERROR"
}
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorizations
Authorization: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required Headers
x-fabric-tenant-id: A header used by fabric to identify the tenant making the request.x-fabric-channel-id: Identifies the sales channel where the API request is being made; primarily for multichannel use cases.
Path Parameters
networkCode: Required. Network code.